"use strict";var request=require("request"),utilities=require("extra-utilities"),envelope={},validMethods=["HEAD","GET","POST","PUT","PATCH","DELETE"],defaultOptions={baseUrl:null,authorization:null,timeout:3e4};envelope.hasBaseUrl=function(){return utilities.isNonEmptyString(defaultOptions.baseUrl)},envelope.getBaseUrl=function(){return defaultOptions.baseUrl},envelope.setBaseUrl=function(url){utilities.isEmptyString(url)||(defaultOptions.baseUrl=url)},envelope.clearBaseUrl=function(){defaultOptions.baseUrl=null},envelope.hasAuthorization=function(){return utilities.isNonEmptyString(defaultOptions.authorization)},envelope.getAuthorization=function(){return defaultOptions.authorization},envelope.setAuthorizationToken=function(token){utilities.isEmptyString(token)||(defaultOptions.authorization=token)},envelope.setBasicAuthorization=function(userName,password){utilities.isEmptyString(userName)||utilities.isEmptyString(password)||(defaultOptions.authorization="Basic "+Buffer.from(userName+":"+password).toString("base64"))},envelope.clearAuthorization=function(){defaultOptions.authorization=null},envelope.hasTimeout=function(){return utilities.isValid(defaultOptions.timeout)},envelope.getTimeout=function(){return defaultOptions.timeout},envelope.setTimeout=function(timeout){var formattedTimeout=utilities.parseInteger(timeout);utilities.isInvalidNumber(formattedTimeout)||formattedTimeout<1||(defaultOptions.timeout=formattedTimeout)},envelope.clearTimeout=function(){defaultOptions.timeout=null},envelope.request=function(method,path,data,query,options,callback){if(utilities.isFunction(data)?(callback=data,data=query=options=null):utilities.isFunction(query)?(callback=query,query=options=null):utilities.isFunction(options)&&(callback=options,options=null),!utilities.isFunction(callback))throw new Error("Missing or invalid callback function!");if(utilities.isEmptyString(method))return(error=new Error("Missing or invalid method type.")).type="request",error.code="invalid_method",callback(error,null,null);var formattedMethod=method.toUpperCase().trim(),isUpload="UPLOAD"===formattedMethod;isUpload&&(formattedMethod="POST");for(var error,validMethod=!1,i=0;i<validMethods.length;i++)if(formattedMethod===validMethods[i]){validMethod=!0;break}if(!validMethod)return(error=new Error('Unsupported method type: "'+formattedMethod+'" - expected one of: '+validMethods.join(", ")+".")).type="request",error.code="unsupported_method",callback(error,null,null);var hasBody="POST"===formattedMethod||"PUT"===formattedMethod||"PATCH"===formattedMethod;utilities.isValid(data)&&!hasBody&&(options=query,query=data,data=null);var newOptions=utilities.isObjectStrict(options)?utilities.clone(options):{};return newOptions.method=formattedMethod,newOptions.json=!0,null===newOptions.timeout||Number.isInteger(newOptions.timeout)||(newOptions.timeout=defaultOptions.timeout),utilities.isInvalid(newOptions.timeout)&&delete newOptions.timeout,utilities.isEmptyString(newOptions.baseUrl)&&utilities.isNonEmptyString(defaultOptions.baseUrl)&&(newOptions.baseUrl=defaultOptions.baseUrl),newOptions.url=path,utilities.isObject(query)&&(newOptions.qs=query),hasBody&&utilities.isValid(data)&&(newOptions.body=data),utilities.isObject(newOptions.headers)||(newOptions.headers={}),isUpload?newOptions.headers["Content-Type"]=void 0:utilities.isEmptyString(newOptions.headers["Content-Type"])&&(newOptions.headers["Content-Type"]="application/json"),utilities.isEmptyString(newOptions.headers.Accepts)&&(newOptions.headers.Accepts="application/json"),utilities.isValid(newOptions.authorization)&&(utilities.isNonEmptyString(newOptions.authorization)&&(utilities.isNonEmptyString(newOptions.headers.Authorization)&&console.error("Authorization specified in header data is being overridden by authorization at root level of options."),newOptions.headers.Authorization=newOptions.authorization),delete newOptions.authorization),utilities.isEmptyString(newOptions.headers.Authorization)&&utilities.isNonEmptyString(defaultOptions.authorization)&&(newOptions.headers.Authorization=defaultOptions.authorization),newOptions.callback=function(error,response,body){if(void 0===body&&(body=null),void 0===response&&(response=null),utilities.isObject(error))return error.type="server",callback(error,body,response);var formattedError;if(utilities.isObject(body)&&(400<=response.statusCode&&response.statusCode<600))return utilities.isValid(body.error)?(formattedError=utilities.createError(utilities.isObject(body.error)?body.error.message:body.error,response.statusCode)).type="remote":(formattedError=utilities.createError(utilities.isNonEmptyString(body.message)?body.message:JSON.stringify(body),response.statusCode)).type="remote",callback(formattedError,null,response);return callback(null,body,response)},request(newOptions)},envelope.head=function(path,data,query,options,callback){return envelope.request("HEAD",path,data,query,options,callback)},envelope.get=function(path,data,query,options,callback){return envelope.request("GET",path,data,query,options,callback)},envelope.post=function(path,data,query,options,callback){return envelope.request("POST",path,data,query,options,callback)},envelope.put=function(path,data,query,options,callback){return envelope.request("PUT",path,data,query,options,callback)},envelope.patch=function(path,data,query,options,callback){return envelope.request("PATCH",path,data,query,options,callback)},envelope.delete=function(path,data,query,options,callback){return envelope.request("DELETE",path,data,query,options,callback)},envelope.upload=function(path,data,query,options,file,callback){var fileDescriptor=new FormData;if(utilities.isValid(file)&&fileDescriptor.append("file",file),utilities.isObjectStrict(data))for(var attribute in data)"file"!==attribute&&fileDescriptor.append(attribute,data[attribute]);return envelope.request("UPLOAD",path,fileDescriptor,query,options,callback)},module.exports=envelope;